"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const add_reccord_1 = require("../records/add.reccord");
const db_1 = require("../utils/db");
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('AdRecord returns data from db one entry', () => __awaiter(void 0, void 0, void 0, function* () {
    const ad = yield add_reccord_1.AddReccord.getOne('abc');
    expect(ad).toBeDefined();
    expect(ad.id).toBe('abc');
}));
test('AdRecord.findall returns array of found entries', () => __awaiter(void 0, void 0, void 0, function* () {
    const ads = yield add_reccord_1.AddReccord.findAll('');
    expect(ads).not.toEqual([]);
    expect(ads[0].id).toBeDefined();
}));
test('AdRecord.findall returns array of found entries when searching for "a"', () => __awaiter(void 0, void 0, void 0, function* () {
    const ads = yield add_reccord_1.AddReccord.findAll('');
    expect(ads).not.toEqual([]);
    expect(ads[0].id).toBeDefined();
}));
test('Addrecord.insert return new UUID', () => __awaiter(void 0, void 0, void 0, function* () {
    const ad = new add_reccord_1.AddReccord({
        name: 'Test name2',
        description: 'dadad',
        lat: 0,
        lon: 0,
        url: 'https://wp.pl',
        price: 5,
    });
    yield ad.insert();
    expect(ad.id).toBeDefined();
}));
//# sourceMappingURL=ad-records.test.js.map